-- Initialize Conversation object

function InitConv_SissyToPanel()

	usingPanel = 1;

	Sissy.AddAnimation('Sissy/sissy_press.smd');
	
	Sissy.SpeechHeight = 240;
	Panel.SpeechHeight = 300;
	Game.DisableScene = true;
	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	
	Sissy.WalkingAnimation = 'standing'; 
	
	Sissy.SetPosition(34.4394378662109,110.000091552734,45.7991142272949);
	Sissy.SetRotation(-69.6560363769531,0,0);
	Camera.FollowNone()
	Camera.SetPosition(52.3391876220703,115.23371887207,75.6471633911133);
	Camera.SetTargetPosition(-28.085916519165,111.77473449707,8.04370498657227);

	NewConv.ClearNodes();
	ConvBackground.Visible = 1;
	ConvBackground.Alpha = 0.7;
 
	PanelStartNode = NewConv.AddNode();
 
	NewConv.AddOption(PanelStartNode, "Press Button 1: Bar", 'ButtonBar');
	NewConv.AddOption(PanelStartNode, "Press Button 2: Kitchen", 'ButtonKitchen');
	NewConv.AddOption(PanelStartNode, "Press Button 3: Craps", 'ButtonCraps');
	NewConv.AddOption(PanelStartNode, "Press Button 4: Blackjack", 'ButtonBlackjack');
	NewConv.AddOption(PanelStartNode, "Press Button 5: Roulette", 'ButtonRoulette');
	NewConv.AddOption(PanelStartNode, "Press Button 6: Entrance", 'ButtonEntrance');

	
	ButtonBarOptions = NewConv.AddNode();
	
	NewConv.AddOption(ButtonBarOptions, "What's the news?", 'ButtonBarNews');
	NewConv.AddOption(ButtonBarOptions, "We're outta drinks up here.", 'ButtonBarDrinks');
	
	ButtonKitchenOptions = NewConv.AddNode();
	
	NewConv.AddOption(ButtonKitchenOptions, "Everything OK?", 'ButtonKitchenNews');
	NewConv.AddOption(ButtonKitchenOptions, "Send some food up, he's starving.", 'ButtonKitchenDrinks');
	
	ButtonBlackjackOptions = NewConv.AddNode();
	
	NewConv.AddOption(ButtonBlackjackOptions, "How's business?", 'ButtonBlackjackNews');
	NewConv.AddOption(ButtonBlackjackOptions, "Send Billy Lyons up here.", 'ButtonBlackjackBilly');

	
	ButtonRouletteOptions = NewConv.AddNode();
	
	NewConv.AddOption(ButtonRouletteOptions, "What's the story?", 'ButtonRouletteNews');
	NewConv.AddOption(ButtonRouletteOptions, "Run a clean game tonight.", 'ButtonRouletteGame');
	
	ButtonEntranceOptions = NewConv.AddNode();
	
	NewConv.AddOption(ButtonEntranceOptions, "Any sign of the heat?", 'ButtonEntranceHeat');
	NewConv.AddOption(ButtonEntranceOptions, "Send that reporter up here.", 'ButtonEntranceOlivetti');
	
	BillyDecision = NewConv.AddNode();
	
	NewConv.AddOption(BillyDecision, "That's what the man said!", 'SendBilly');
	NewConv.AddOption(BillyDecision, "No, sorry. Never mind.", 'BillyDecisionCancel');
	
	
	OlivettiDecision = NewConv.AddNode();
	
	NewConv.AddOption(OlivettiDecision, "Don't make me say it twice!", 'SendOlivetti');
	NewConv.AddOption(OlivettiDecision, "Hold it, I got mixed up.", 'OlivettiDecisionCancel');
	
	Sissy.Say ("Let's see now...", 3000, 'ShowPanelStartNode');
	
end



-- Show Node Functions

function ShowPanelStartNode()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(PanelStartNode);
end

function ShowButtonBarOptions()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(ButtonBarOptions);
end

function ShowButtonKitchenOptions()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(ButtonKitchenOptions);
end

function ShowButtonRouletteOptions()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(ButtonRouletteOptions);
end

function ShowButtonBlackjackOptions()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(ButtonBlackjackOptions);
end

function ShowButtonEntranceOptions()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(ButtonEntranceOptions);
end

function ShowBillyDecision()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(BillyDecision);
end

function ShowOlivettiDecision()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(OlivettiDecision);
end

--- Conversation scripts

function ButtonBar()

	hidePanelConv()
	Sissy.RunBoneAnimation('sissy_press', 'none', 60)
	dramaCam(function()
		Sleep(2)
		Panel.Say("**BUZZZZ**", 3000);
		Panel.Say("**McCaully on bar\nhere Mr Lee.**", 3000);
		Sissy.Say ("I got a message\nfrom Stack.", 3000, 'ShowButtonBarOptions')
	end)
end

function ButtonBarNews()
	hidePanelConv()
	Sissy.Say ("What's the news?", 3000)
	Panel.Say("Quiet as a cat\nin loafers back here.", 3000);
	Panel.Say("Only the regulars.", 3000, 'ExitPanelConv');
	
end

function ButtonBarDrinks()
	hidePanelConv()
	Sissy.Say ("We're outta\ndrinks up here.", 3000)
	Panel.Say("**You're kiddin'\nme lady!**", 3000);
	Panel.Say("**I restocked Mr Lee's\nbar this morning.**", 3000, 'ExitPanelConv');

end


function ButtonKitchen()

	hidePanelConv()
	Sissy.RunBoneAnimation('sissy_press', 'none', 60)
	dramaCam(function()
		Sleep(2)
		Panel.Say('**BUZZZZ**', 3000);
		Panel.Say("**Kitchen, Senor Lee?**", 3000);
		Sissy.Say ("I got a message\nfrom Stack.", 3000, 'ShowButtonKitchenOptions')
	end)
end

function ButtonKitchenNews()
	hidePanelConv()
		Sissy.Say ("Everything OK?", 3000)
		Panel.Say("**Si, si.**", 3000);
		Sissy.Say ("Well... keep up the good work.", 3000, 'ExitPanelConv')
end

function ButtonKitchenDrinks()
	hidePanelConv()
		Sissy.Say ("Send some food up,\nhe's starving.", 3000)
		Panel.Say("**But Senor Lee's regular\ntable is ready...**", 3000);
		Panel.Say("**He change his mind?**", 3000);
		Sissy.Say ("Ah, no. No.\nNever mind.", 3000, 'ExitPanelConv')
		Panel.Say("**Si Sinorita.**", 3000);
end


function ButtonCraps()

	hidePanelConv()
	Sissy.RunBoneAnimation('sissy_press', 'none', 60)
	dramaCam(function()
		Sleep(2)
		Panel.Say("**BUZZZZ**", 3000);
		Sleep(2)
		Sissy.Say ("I guess the tables\nstill ain't open.", 3000, 'ExitPanelConv')
	end)
end

function ButtonRoulette()

	hidePanelConv()
	Sissy.RunBoneAnimation('sissy_press', 'none', 60)
	dramaCam(function()
		Sleep(2)
		Panel.Say("**BUZZZZ**", 3000);
		Panel.Say("**Yes boss?\nSandy on the wheels.**", 3000);
		Sissy.Say ("I got a message\nfrom Stack.", 3000, 'ShowButtonRouletteOptions')
	end)
end


function ButtonRouletteNews()
	hidePanelConv()
	Sissy.Say ("What's the story?", 3000)
	Panel.Say("**Hey, the house\nalways wins!**", 3000);
	Panel.Say("**'Least, the way\nI spin 'em.**", 3000);
	Sissy.Say ("Sure.", 3000, 'ExitPanelConv')
end

function ButtonRouletteGame()
	hidePanelConv()
	Sissy.Say ("Run a clean\ngame tonight.", 3000)
	Panel.Say("**Hey, don't I always?**", 3000, 'ExitPanelConv');
	
end


function ButtonBlackjack()

	hidePanelConv()
	Sissy.RunBoneAnimation('sissy_press', 'none', 60)
	dramaCam(function()
		Sleep(2)
		Panel.Say("**BUZZZZ**", 3000);
		Panel.Say("**Blackjack Max\nhere, boss.**", 3000);
		Sissy.Say ("I got a message\nfrom Stack.", 3000, 'ShowButtonBlackjackOptions')
	end)
end

function ButtonBlackjackNews()


	hidePanelConv()
	Sissy.Say ("How's business?")
	Panel.Say("**Ain't much\naction yet...**", 3000);
	Panel.Say("**But it'll get busy.**", 3000);
	Panel.Say("**Is that it?**", 3000);
	Sissy.Say ("Uh... sure.", 3000, 'ExitPanelConv')
	
end

function ButtonBlackjackBilly()

	hidePanelConv()
	Sissy.Say ("Send Billy Lyons up here.",3000)
	Panel.Say("**Lyons? He's on table.**", 3000)
	Panel.Say("**I should send him now?**", 3000, 'ShowBillyDecision')
end



function ButtonEntrance()

	hidePanelConv()
	Sissy.RunBoneAnimation('sissy_press', 'none', 60)
	dramaCam(function()
		Sleep(2)
		Panel.Say("**BUZZZZ**", 3000);
		Panel.Say("**Doorman here boss.**", 3000);
		Sissy.Say ("I got a message\nfrom Stack.", 3000, 'ShowButtonEntranceOptions')
	end)
end

function ButtonEntranceHeat()
	hidePanelConv()
	dramaCam(function()
		Sissy.Say ("Any sign of the heat?", 3000)
		Panel.Say("**O'Leary's on the beat...***", 3000);
		Panel.Say("**But he won't\ngive no trouble.***", 3000, 'ExitPanelConv');

	end)

end

function ButtonEntranceOlivetti()

	hidePanelConv()
	Sissy.Say ("Send that reporter up here.",3000)
	Panel.Say("**That guy's a ratfink!**", 3000)
	Panel.Say("**Why'd Mr Lee\nwant him?**", 3000, 'ShowOlivettiDecision')

end



function BillyDecisionCancel()
	hidePanelConv()
	Sissy.Say ("No, sorry.\nNever mind.", 3000, 'ExitPanelConv')
end

function OlivettiDecisionCancel()
	hidePanelConv()
	Sissy.Say ("Hold it,\nI got mixed up", 3000, 'ExitPanelConv')

end

function SendOlivetti()
	hidePanelConv()
	recordCancelled = 1
	Sissy.Say ("Don't make me\nsay it twice!", 3000, 'OlivettiEnding')

end

function SendBilly()
	hidePanelConv()
	recordCancelled = 1
	Sissy.Say ("That's what the man said!", 3000, 'LyonsEnding')

end



function ExitPanelConv()
  NewConv.HideNodes();
  ConvBackground.RunAnimation(FadeOutDiagAni.ID,'closePanelConv');
	Panel.Say ("**CRRACKKLE**");
 
end





-- Camera Control Functions




-- Hide / Exit Functions

function closePanelConv()
 ConvBackground.Visible = 0;
 Camera.SetPosition(143.440505981445,119.778526306152,116.277976989746)
 Camera.SetTargetPosition(0,0,0);
 Camera.FollowActor(Sissy.ID);
 GUIActive = true;
 Sissy.SpeechHeight = 100;
 Panel.SpeechHeight = 100;
 	Sissy.WalkingAnimation = 'walking'; 

	
	usingPanel = 0;
	
 Game.DisableScene = 0;
 -- Were are done, enable scene

	
end

function hidePanelConv()
	ConvBackground.Visible = 0;
  NewConv.HideNodes();
end